## svgpp 1.2.3%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Reduce size of debug symbols to fix FTBFS due to the
# 2GB/3GB address space limits on 32bit
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 ifeq (32,$(DEB_HOST_ARCH_BITS))
 export DEB_CXXFLAGS_MAINT_APPEND = -g1
endif

%:
	dh $@ --with sphinxdoc --buildsystem=cmake --sourcedirectory=src/ --no-parallel

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	cd doc/sphinx/ ; sphinx-build -b html ./ html
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/sphinx/html

override_dh_sphinxdoc-indep:
	dh_sphinxdoc
	find debian/libsvgpp-doc/usr/share/doc/libsvgpp-doc/html -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.mathjax\.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
	rm -rf debian/libsvgpp-doc/usr/share/doc/libsvgpp-doc/html/_sources/license.txt

## svgpp 1.2.3+dfsg1

=== src/test/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

project(svgpp_test)

set(GTEST_DIR ../../third_party/googletest/googletest)
set(GMOCK_DIR ../../third_party/googletest/googlemock)

include_directories(
  ../../include
  ../../third_party
  ${GTEST_DIR}
  ${GTEST_DIR}/include
  ${GMOCK_DIR}
  ${GMOCK_DIR}/include
)

if (MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj /W4")
endif()

file(GLOB_RECURSE SVGPP_HEADERS RELATIVE  ${CMAKE_CURRENT_SOURCE_DIR}/../../include/svgpp ${CMAKE_CURRENT_SOURCE_DIR}/../../include/svgpp/*.*)

foreach(i ${SVGPP_HEADERS})
  get_filename_component(_dir ${i} PATH)
  set(_pregroup "Headers/${_dir}")
  set(_name "../../include/svgpp/${i}")
  list(APPEND SOURCES
    ${_name}
  )
  string(REPLACE "/" "\\" _group ${_pregroup})
  source_group(${_group} FILES ${_name})
endforeach()

add_executable( ParserGTest
  ${SOURCES}
  basic_shapes_test.cpp 
  color_grammar_test.cpp 
  dictionary_test.cpp
  attribute_traversal_test.cpp 
  css_style_iterator_test.cpp 
	clock_value_grammar_test.cpp
  document_traversal_a_test.cpp  
  icc_color_grammar_test.cpp 
  length_factory_test.cpp 
  list_of_points_test.cpp 
  #path_adapter_test.cpp 
  path_grammar_test.cpp 
  path_markers_adapter_test.cpp 
  polyline_markers_test.cpp 
  preserveAspectRatio_test.cpp 
  #supported_value_parsers_test.cpp 
  transform_grammar_test.cpp 
  transform_strict_grammar_test.cpp 
  urange_grammar_test.cpp 
  value_parser_test.cpp
  value_parser_length_test.cpp 
  value_parser_paint_test.cpp 
	value_parser_path_test.cpp 
	value_parser_transform_test.cpp 
  ${GMOCK_DIR}/src/gmock_main.cc 
  ${GMOCK_DIR}/src/gmock-all.cc 
  ${GTEST_DIR}/src/gtest-all.cc 
)

if (UNIX)
  target_link_libraries(ParserGTest
    pthread
  )
endif()

set(CHECK_HEADERS_DIR check_headers)

file(GLOB_RECURSE SVGPP_HEADERS_HPP RELATIVE  ${CMAKE_CURRENT_SOURCE_DIR}/../../include/svgpp ${CMAKE_CURRENT_SOURCE_DIR}/../../include/svgpp/*.hpp)

foreach(i ${SVGPP_HEADERS_HPP})
  if (NOT ${i} MATCHES "policy/xml/.*")
    string(REPLACE "/" "_" _name ${i})
    string(REPLACE "." "_" _file_name ${_name})
    set(_file_name "${CMAKE_BINARY_DIR}/${CHECK_HEADERS_DIR}/check_${_file_name}.cpp")
    #message(${_file_name})
    file(WRITE ${_file_name} "#include <svgpp/${i}>")
    list(APPEND CHECK_HEADERS_SOURCES ${_file_name})
  endif()
endforeach()


add_library(CheckHeadersAutonomy STATIC
  ${CHECK_HEADERS_SOURCES}
)

if (1)
	add_executable(FullParseTest
		full_parse_main.cpp
		full_parse_test.cpp
		full_parse_test2.cpp
		full_parse_test_common.hpp
	)

	if (UNIX)
		target_link_libraries(FullParseTest
			boost_timer
			boost_system
		)
	endif()
endif()

=== debian/changelog ===
svgpp (1.2.3+dfsg1-6) unstable; urgency=medium

  * [da05339] Use libagg2-dev. (Closes: #921097)

 -- Anton Gladky <gladk@debian.org>  Fri, 01 Feb 2019 19:46:28 +0100

svgpp (1.2.3+dfsg1-5) unstable; urgency=medium

  * [aef6c6d] Add the second part of fix for CVE-2019-6246

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Jan 2019 19:33:50 +0100

svgpp (1.2.3+dfsg1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/control: Remove Testsuite field, not needed anymore
  * d/control: Set Vcs-* to salsa.debian.org

  [ Anton Gladky ]
  * [5d0f0bc] Fix CVE-2019-6246. (Closes: #919321)
  * [f3060a6] Set compat level 11
  * [a3e759c] Fix some privacy-breaches

  [ Matthias Klose ]
  * [60dacd9] autopkg tests: Build with -g1, same as done for the build.
              (Closes: #884700)

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Jan 2019 22:41:04 +0100

svgpp (1.2.3+dfsg1-3) unstable; urgency=medium

  [ Adrian Bunk ]
  * [2c459df] Reduce of amount of debug information for 32bit. (Closes: #874186)

  [ Anton Gladky ]
  * [834c29e] Mark libsvgpp-dev as arch: all.

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Sep 2017 20:43:06 +0200

svgpp (1.2.3+dfsg1-2) unstable; urgency=medium

  * [6c2411d] Set Standards-Version: 4.1.0
  * [e1be854] Add indep prefix for doc genetion. (Closes: #873782)

 -- Anton Gladky <gladk@debian.org>  Thu, 31 Aug 2017 23:06:50 +0200

svgpp (1.2.3+dfsg1-1) unstable; urgency=medium

  * Initial packaging. (Closes: #866316)

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Jun 2017 21:59:56 +0200

=== debian/control ===
Source: svgpp
Maintainer: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11~),
               googletest,
               libagg2-dev,
               libboost-dev,
               libboost-system-dev,
               libboost-timer-dev,
               python3-sphinx-rtd-theme,
               python3-sphinx,
               sphinx-common
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/svgpp
Vcs-Git: https://salsa.debian.org/debian/svgpp.git
Homepage: https://github.com/svgpp/svgpp

Package: libsvgpp-dev
Architecture: all
Section: libdevel
Depends: libboost-dev,
         libboost-system-dev,
         libboost-timer-dev,
         ${misc:Depends}
Description: SVG-framework with parsers for various syntaxes and adapters. Development files
 The library can be thought of as a framework, containing parsers for various
 SVG syntaxes, adapters that simplify handling of parsed data and a lot of
 other utilities and helpers for the most common tasks.  SVG++ features
 .
  * Is a header-only library
  * Can be used with any XML parser
  * Compile time configured - no virtual functions
  * Minimal runtime overhead - you pay only for what you get
  * Fully functional, conforming SVG viewers
  * Simple in-app SVG rasterizers
  * Import modules of vector editing software
  * Implementing path-only input of SVG format with minimal efforts
    in any graphics or math software
  * Compatible with C++03, but requires conforming implementation
 .
 The package contains the header development files.

Package: libsvgpp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: SVG-framework with parsers for various syntaxes and adapters. Documentation
 The library can be thought of as a framework, containing parsers for various
 SVG syntaxes, adapters that simplify handling of parsed data and a lot of
 other utilities and helpers for the most common tasks.  SVG++ features
 .
  * Is a header-only library
  * Can be used with any XML parser
  * Compile time configured - no virtual functions
  * Minimal runtime overhead - you pay only for what you get
  * Fully functional, conforming SVG viewers
  * Simple in-app SVG rasterizers
  * Import modules of vector editing software
  * Implementing path-only input of SVG format with minimal efforts
    in any graphics or math software
  * Compatible with C++03, but requires conforming implementation
 .
 The package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
-	cd doc/sphinx/ ; sphinx-build -b html ./ html
+	cd doc/sphinx/ ; python3 -m sphinx -b html ./ html
 endif
 
 override_dh_auto_clean:
@@ -24,5 +24,6 @@
 
 override_dh_sphinxdoc-indep:
 	dh_sphinxdoc
-	find debian/libsvgpp-doc/usr/share/doc/libsvgpp-doc/html -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.mathjax\.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
-	rm -rf debian/libsvgpp-doc/usr/share/doc/libsvgpp-doc/html/_sources/license.txt
+	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.mathjax\.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
+	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdnjs\.cloudflare\.com\/ajax\/libs\/mathjax\/2\.7\.1/\/usr\/share\/javascript\/mathjax\//g'
+	rm -rf debian/libsvgpp-doc/usr/share/doc/libsvgpp-dev/html/_sources/license.txt

## svgpp 1.3.0%2Bdfsg1

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
   urange_grammar_test.cpp 
   value_parser_test.cpp
   value_parser_length_test.cpp 
+  value_parser_paint_ie_test.cpp 
   value_parser_paint_test.cpp 
 	value_parser_path_test.cpp 
 	value_parser_transform_test.cpp

=== debian/changelog ===
svgpp (1.3.0+dfsg1-4+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-44960
    fix XMLDocument::getRoot function.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Oct 2025 11:03:02 +0200

svgpp (1.3.0+dfsg1-4) unstable; urgency=medium

  * [aef0c7e] Fix autopkgtests with new boost. (Closes: #977260)
  * [1491fca] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Dec 2020 21:02:33 +0100

svgpp (1.3.0+dfsg1-3) unstable; urgency=medium

  * [4cc7642] Add gitlab-ci.yml
  * [758f853] Fix doc-base path
  * [75e17dd] Set compat-level 13
  * [cbee709] Fix lintian warnings

 -- Anton Gladky <gladk@debian.org>  Tue, 10 Nov 2020 18:49:20 +0100

svgpp (1.3.0+dfsg1-2) unstable; urgency=medium

  * [d3e365c] Remove gitlab-ci.yml
  * [20b8323] Recover upstream state of the master branch
  * [7dd6b15] Disable two more failing test. (Closes: #973130)
  * [a84c76a] Wrap long lines in changelog entries: 1.3.0+dfsg1-1.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Nov 2020 17:42:56 +0100

svgpp (1.3.0+dfsg1-1) unstable; urgency=medium

  * [fbfe99b] New upstream version 1.3.0+dfsg1. (Closes: #960426)
  * [5422e42] Update d/copyright
  * [3fa199d] Bump debhelper from old 11 to 12.
  * [0732e9d] Set debhelper-compat version in Build-Depends.
  * [e43a250] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [2602da4] Update standards version to 4.4.0, no changes needed.
  * [393628d] Bump Standards-version 4.5.0
  * [968098d] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Jun 2020 22:27:54 +0200

## svgpp 1.3.0+dfsg1

=== debian/changelog ===
svgpp (1.3.0+dfsg1-6) unstable; urgency=medium

  * [4973a7b] Allow-stderr in tests.

 -- Anton Gladky <gladk@debian.org>  Sat, 25 Mar 2023 09:12:47 +0100

svgpp (1.3.0+dfsg1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * [f2e4186] Apply multi-arch hints. + libsvgpp-doc: Add Multi-Arch: foreign.

  [ Anton Gladky ]
  * [0349bf0] CVE-2021-44960: fix XMLDocument::getRoot function. (Closes: #1014599)
  * [a3f3ab2] d/control: set Standards-Version to 4.6.2
  * [e499e98] CVE-2019-6245, CVE-2019-6247: set versioned depends on libagg. 
  * [74723a4] Simplify d/.gitlab-ci.yml.

 -- Anton Gladky <gladk@debian.org>  Wed, 22 Mar 2023 07:07:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                googletest,
-               libagg2-dev,
+               libagg2-dev (>=1:2.4.0),
                libboost-dev,
                libboost-system-dev,
                libboost-timer-dev,
                python3-sphinx-rtd-theme,
                python3-sphinx,
                sphinx-common
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/svgpp
 Vcs-Git: https://salsa.debian.org/debian/svgpp.git
 Homepage: https://github.com/svgpp/svgpp
@@ -44,6 +44,7 @@
 
 Package: libsvgpp-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// https://github.com/svgpp/svgpp/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## svgpp 1.3.1%2Bdfsg1

=== doc/sphinx/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(Documentation)

add_custom_target(
  Documentation ALL 
  SOURCES 
    advanced.rst
    basic_shapes.rst 
    color.rst 
    document_traversal.rst
    error.rst 
    faq.rst
    help.rst
    index.rst 
    installation.rst
    iri.rst 
    length.rst 
    lesson01.rst 
    license.rst
    markers.rst 
    overview.rst 
    path.rst 
    reference.rst
    text.rst
    transform.rst 
    value.rst 
    value_parser.rst 
    viewport.rst 
    conf.py 
)

if (WIN32)
  add_custom_command(TARGET Documentation
    POST_BUILD
    COMMAND make.bat html
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
endif (WIN32)

## svgpp 1.3.1+dfsg1

=== src/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

project(svgpp)

find_package(Boost REQUIRED)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

include_directories(
  ${Boost_INCLUDE_DIRS}
)

link_directories(
  ${Boost_LIBRARY_DIRS}
)

if (MSVC)
  set_directory_properties(PROPERTIES 
    COMPILE_DEFINITIONS _VARIADIC_MAX=10
  ) 
endif()

add_subdirectory(demo/render)
add_subdirectory(samples)
add_subdirectory(test)

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
BUILDDIR_html = ../html

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR_html)
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR_html)."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SVG.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SVG.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SVG"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SVG"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== src/samples/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

project(svgpp_samples)

include_directories(
  ../../include
  ../../third_party
)

if (MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
endif()

add_executable( Sample01a sample01a.cpp )
add_executable( Sample01b sample01b.cpp )
add_executable( Sample01c sample01c.cpp )
add_executable( Sample01d sample01d.cpp )
add_executable( Sample01e sample01e.cpp )
add_executable( Sample01f sample01f.cpp )
add_executable( Sample01g sample01g.cpp svgpp_parser_impl.cpp)
add_executable( Sample01h sample01h.cpp svgpp_parser_impl.cpp)
add_executable( Sample01i sample01i.cpp svgpp_parser_impl.cpp)
add_executable( Sample01j sample01j.cpp sample01j_impl.cpp)

add_executable( SampleGradient sample_gradient.cpp )
add_executable( SampleFilter sample_filter.cpp )
add_executable( SampleAnimation sample_animation.cpp )
add_executable( SampleIRI sample_iri.cpp )
add_executable( SampleTransform01 sample_transform01.cpp )
add_executable( SampleTransform02 sample_transform02.cpp )
add_executable( SampleValue01 sample_value01.cpp )
add_executable( SampleValue02 sample_value02.cpp )

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -97,7 +97,7 @@
 		full_parse_test_common.hpp
 	)
 
-	if (UNIX)
+	if (FALSE AND UNIX)
 		target_link_libraries(FullParseTest
 			boost_timer
 			boost_system

=== src/demo/render/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(svgpp_agg_render)

set(AGG_PATH "../../../third_party/agg")

include_directories(
  ../../../include
  ../../../third_party
  ${AGG_PATH}/include
)

if (MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
endif()

set(AGG_SOURCES
  ${AGG_PATH}/src/agg_curves.cpp 
  ${AGG_PATH}/src/agg_trans_affine.cpp 
  ${AGG_PATH}/src/agg_vcgen_dash.cpp 
  ${AGG_PATH}/src/agg_vcgen_stroke.cpp 
)
source_group("AGG" FILES ${AGG_SOURCES})

set(DEMO_SOURCES
  svgpp_render.cpp 
  gradient.hpp
  gradient.cpp
  stylable.hpp
  common.hpp
  clip_buffer.hpp 
  clip_buffer.cpp 
  filter.hpp
  filter.cpp
  svgpp_parser_impl.cpp
)

set(AGG_DEMO_SOURCES
  ${AGG_SOURCES}
  ${DEMO_SOURCES}
  stb.cpp
)

add_executable(svgpp_agg_render
  ${AGG_DEMO_SOURCES}
  parser_rapidxml_ns.hpp 
  parser_rapidxml_ns.cpp 
)

target_compile_definitions(svgpp_agg_render
  PRIVATE SVG_PARSER_RAPIDXML_NS;RENDERER_AGG
)

if (WIN32)
  add_executable(svgpp_agg_render_msxml
    ${AGG_DEMO_SOURCES}
    parser_msxml.hpp
    parser_msxml.cpp
  )

  target_compile_definitions(svgpp_agg_render_msxml
    PRIVATE SVG_PARSER_MSXML;RENDERER_AGG
  )
endif()

find_package(LibXml2)

if (LIBXML2_FOUND)
  add_executable(svgpp_agg_render_libxml
    ${AGG_DEMO_SOURCES}
    parser_libxml.hpp
    parser_libxml.cpp
  )

  target_compile_definitions(svgpp_agg_render_libxml
    PRIVATE SVG_PARSER_LIBXML;RENDERER_AGG
  )

  set_property(TARGET svgpp_agg_render_libxml
    APPEND PROPERTY INCLUDE_DIRECTORIES ${LIBXML2_INCLUDE_DIR}
  )
  target_link_libraries(svgpp_agg_render_libxml
    ${LIBXML2_LIBRARIES}
  )
endif()

if (XERCES_INCLUDE_DIR)
  add_executable(svgpp_agg_render_xerces
    parser_xerces.hpp
    parser_xerces.cpp
    ${AGG_DEMO_SOURCES}
  )

  target_compile_definitions(svgpp_agg_render_xerces
    PRIVATE SVG_PARSER_XERCES;RENDERER_AGG
  )

  set_property(TARGET svgpp_agg_render_xerces
    APPEND PROPERTY INCLUDE_DIRECTORIES ${XERCES_INCLUDE_DIR}
  )
  target_link_libraries(svgpp_agg_render_xerces
  )
endif()

if (WIN32)
  add_executable(svgpp_gdip_render_msxml
    ${DEMO_SOURCES}
    parser_msxml.hpp
    parser_msxml.cpp
  )

  target_link_libraries(svgpp_gdip_render_msxml
    gdiplus.lib
  )

  target_compile_definitions(svgpp_gdip_render_msxml
    PRIVATE SVG_PARSER_MSXML;RENDERER_GDIPLUS
  )
endif()

=== debian/changelog ===
svgpp (1.3.1+dfsg1-1) unstable; urgency=medium

  * [c8c1f2b] Add lintian-overrides
  * [61dadb5] Allow-stderr in tests
  * [0779ffa] New upstream version 1.3.1+dfsg1
  * [6296434] Clean up obsolete debian patches
  * [99e60be] Increase minimum required CMake version (Closes: #1113552)
  * [31f89f4] chore(debian): Update Standards-Version to 4.7.2
  * [627d3f3] Trim trailing whitespace.

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Oct 2025 12:39:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: svgpp
+Standards-Version: 4.7.2
 Maintainer: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               googletest,
-               libagg2-dev (>=1:2.4.0),
-               libboost-dev,
-               libboost-system-dev,
-               libboost-timer-dev,
-               python3-sphinx-rtd-theme,
-               python3-sphinx,
-               sphinx-common
-Standards-Version: 4.6.2
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ googletest,
+ libagg2-dev,
+ libboost-dev,
+ libboost-system-dev,
+ libboost-timer-dev,
+ python3-sphinx-rtd-theme,
+ python3-sphinx,
+ sphinx-common,
 Vcs-Browser: https://salsa.debian.org/debian/svgpp
 Vcs-Git: https://salsa.debian.org/debian/svgpp.git
 Homepage: https://github.com/svgpp/svgpp
@@ -20,10 +21,11 @@
 Package: libsvgpp-dev
 Architecture: all
 Section: libdevel
-Depends: libboost-dev,
-         libboost-system-dev,
-         libboost-timer-dev,
-         ${misc:Depends}
+Depends:
+ libboost-dev,
+ libboost-system-dev,
+ libboost-timer-dev,
+ ${misc:Depends},
 Description: SVG-framework with parsers for various syntaxes and adapters. Development files
  The library can be thought of as a framework, containing parsers for various
  SVG syntaxes, adapters that simplify handling of parsed data and a lot of
@@ -46,10 +48,11 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${sphinxdoc:Depends},
+ libjs-mathjax,
 Description: SVG-framework with parsers for various syntaxes and adapters. Documentation
  The library can be thought of as a framework, containing parsers for various
  SVG syntaxes, adapters that simplify handling of parsed data and a lot of

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,5 @@
 	dh_sphinxdoc
 	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdn\.mathjax\.org\/mathjax\/latest/\/usr\/share\/javascript\/mathjax/g'
 	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/https:\/\/cdnjs\.cloudflare\.com\/ajax\/libs\/mathjax\/2\.7\.1/\/usr\/share\/javascript\/mathjax\//g'
+	find debian/libsvgpp-doc/ -type f -print0 | xargs -0 sed -i 's/http:\/\/www\.w3\.org\/TR\/SVG11\/images\/coords\/Matrix.png//g'
 	rm -rf debian/libsvgpp-doc/usr/share/doc/libsvgpp-dev/html/_sources/license.txt

=== debian/tests/control ===
Tests: build1 build2 build3
Depends: libsvgpp-dev, build-essential
Restrictions: allow-stderr
